dpkg-query(1)

NAME
dpkg-query - a tool to query the dpkg database

SYNOPSIS
dpkg-query -l|--list package-name-pattern ...
dpkg-query -W|--show package-name-pattern ...
dpkg-query -s|--status package-name ...
dpkg-query -L|--listfiles package-name ...
dpkg-query -S|--search filename-search-pattern ...
dpkg-query -p|--print-avail package-name ...
dpkg-query --licence|--license
dpkg-query --version

DESCRIPTION
dpkg-query is a tool to show information about packages listed in the dpkg database.

COMMANDS

-l | --list package-name-pattern ...
    List packages matching given pattern. If no package-name-pattern is given, list all packages in /var/lib/dpkg/status, excluding the ones marked with state purge. Normal shell wildchars are allowed in package-name-pattern. Please note you will probably have to quote package-name-pattern to prevent the shell from performing filename expansion. For example this will list all package names starting with “libc6”:
      dpkg-query -l 'libc6*'
    The output format of this option is not configurable, but varies automatically to fit the terminal width. It is intended for human readers, and is not easily machine-readable. See -W (--show) and --showformat for a way to configure the output format.

-W | --show package-name-pattern ...
    Just like the --list option this will list all packages matching the given pattern. However the output can be customized using the --showformat option. The default output format gives one line per matching package, each line having the name and installed version of the package, separated by a tab.

-s | --status package-name ...
    Report status of specified package. This just displays the entry in the installed package status database.

-L | --listfiles package-name ...
    List files installed to your system from package-name. However, note that files created by package-specific installation-scripts are not listed.

-S | --search filename-search-pattern ...
    Search for a filename from installed packages. All standard shell wildchars can be used in the pattern. This command will not list extra files created by maintainer scripts, nor will it list alternatives.

-p |--print-avail package-name
    Display details about package-name, as found in /var/lib/dpkg/available.

--licence | --license
    Display licence and copyright information.

--version
    Display version information.

OPTIONS

--admindir=dir
    Change the location of the dpkg database. The default location is /var/lib/dpkg.

-f | --showformat=format
    This option is used to specify the format of the output --show will produce. The format is a string that will be output for each package listed. In the format string, “\” introduces escapes:
        \n  newline
        \r  carriage return
        \t  tab
    “\” before any other character suppresses any special meaning of the following character, which is useful for “\” and “$”. Package information can be included by inserting variable references to package fields using the syntax “${field[;width]}”. Fields are printed right-aligned unless the width is negative in which case left alignment will be used. The following fields are recognised:
        Architecture
        Bugs
        Conffiles
        Config-Version
        Conflicts
        Depends
        Description
        Enhances
        Essential
        Filename
        Installed-Size
        MD5sum
        MSDOS-Filename
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision
        Section
        Size
        Source
        Status
        Suggests
        Version
    The default format string is “${Package}\t${Version}\n”. Actually, all other fields found in the status file (i.e. user defined fields) can be requested, too. They will be printed as-is, though, no conversion nor error checking is done on them. To get the name of the dpkg maintainer and the installed version, you could run:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

ENVIRONMENT

COLUMNS
    This setting influences the output of the --list option by changing the width of its output.

AUTHOR
Copyright 2001 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO warranty.

SEE ALSO
dpkg(1).